# Class DOMWriter

java.lang.Object
org.apache.catalina.util.DOMWriter

public class DOMWriter extends Object
A DOM writer optimised for use by WebDAV.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DOMWriter(Writer writer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `print(Node node)`
  Prints the specified node, recursively.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DOMWriter

    public DOMWriter(Writer writer)

- ## Method Details

  - ### print

    public void print(Node node)
    Prints the specified node, recursively.
    Parameters:
      `node` - The node to output